diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
index 03fd7d6e1..740c9fff1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
@@ -120,7 +120,9 @@ define('pgadmin.node.schema', [
     case 'integer':
       return Backgrid.IntegerCell;
     case 'number':
-      return Backgrid.NumberCell;
+      return Backgrid.NumberCell.extend({
+        decimals: this.get('decimals') || Backgrid.NumberFormatter.prototype.defaults.decimals,
+      });
     case 'string':
       return Backgrid.StringCell;
     default:
@@ -210,6 +212,7 @@ define('pgadmin.node.schema', [
         {
           name: 'value', label: gettext('Value'),
           cellHeaderClasses:'width_percent_30',
+          decimals: 5,
           cellFunction: Backform.cellFunction, editable: function(m) {
             return m.handler.get('autovacuum_custom');
           }, headerCell: Backgrid.Extension.CustomHeaderCell,
@@ -284,6 +287,7 @@ define('pgadmin.node.schema', [
           name: 'value', label: gettext('Value'),
           cellHeaderClasses:'width_percent_30',
           headerCell: Backgrid.Extension.CustomHeaderCell,
+          decimals: 5,
           cellFunction: Backform.cellFunction, editable: function(m) {
             return m.handler.get('toast_autovacuum');
           },
